Gda.ServerProviderBase – Gda-6.0 Reference Manual

# ServerProviderBase

## Object Hierarchy:

## Description:

[ CCode ( has_type_id = false ) ]
[ Compact ]
public abstract class ServerProviderBase
Namespace: Gda
Package: Gda-6.0

## Content:

### Methods:

- public abstract void _gda_reserved11 ()
- public abstract void _gda_reserved12 ()
- public abstract void _gda_reserved13 ()
- public abstract void _gda_reserved14 ()
- public abstract bool add_savepoint (ServerProvider provider, Connection cnc, string name) throws Error
- public abstract bool begin_transaction (ServerProvider provider, Connection cnc, string name, TransactionIsolation level) throws Error
- public abstract bool close_connection (ServerProvider provider, Connection cnc)
- public abstract bool commit_transaction (ServerProvider provider, Connection cnc, string name) throws Error
- public abstract Connection create_connection (ServerProvider provider)
- public abstract ServerOperation create_operation (ServerProvider provider, Connection cnc, ServerOperationType type, Set options) throws Error
- public abstract SqlParser create_parser (ServerProvider provider, Connection cnc)
- public abstract Worker create_worker (ServerProvider provider, bool for_cnc)
- public abstract bool delete_savepoint (ServerProvider provider, Connection cnc, string name) throws Error
- public abstract string escape_string (ServerProvider provider, Connection cnc, string str)
- public abstract DataHandler get_data_handler (ServerProvider provider, Connection? cnc, Type g_type, string dbms_type)
- public abstract string get_def_dbms_type (ServerProvider provider, Connection cnc, Type g_type)
- public abstract string get_name (ServerProvider provider)
- public abstract string get_server_version (ServerProvider provider, Connection cnc)
- public abstract string get_version (ServerProvider provider)
- public abstract string identifier_quote (ServerProvider provider, Connection? cnc, string id, bool for_meta_store, bool force_quotes)
- public abstract bool open_connection (ServerProvider provider, Connection cnc, QuarkList @params, QuarkList auth)
- public abstract bool perform_operation (ServerProvider provider, Connection? cnc, ServerOperation op) throws Error
- public abstract bool prepare_connection (ServerProvider provider, Connection cnc, QuarkList @params, QuarkList auth)
- public abstract string render_operation (ServerProvider provider, Connection cnc, ServerOperation op) throws Error
- public abstract bool rollback_savepoint (ServerProvider provider, Connection cnc, string name) throws Error
- public abstract bool rollback_transaction (ServerProvider provider, Connection cnc, string name) throws Error
- public abstract Object statement_execute (ServerProvider provider, Connection cnc, Statement stmt, Set @params, StatementModelUsage model_usage, Type[] col_types, ref Set last_inserted_row) throws Error
- public abstract bool statement_prepare (ServerProvider provider, Connection cnc, Statement stmt) throws Error
- public abstract SqlStatement statement_rewrite (ServerProvider provider, Connection cnc, Statement stmt, Set @params) throws Error
- public abstract string statement_to_sql (ServerProvider provider, Connection cnc, Statement stmt, Set @params, StatementSqlFlag flags, ref SList params_used) throws Error
- public abstract bool supports_feature (ServerProvider provider, Connection cnc, ConnectionFeature feature)
- public abstract bool supports_operation (ServerProvider provider, Connection cnc, ServerOperationType type, Set options)
- public abstract string unescape_string (ServerProvider provider, Connection cnc, string str)